Substy Developers
Account and agency

Set agency logo

Replace the selected agency’s logo with base64 PNG or JPEG file bytes and the matching contentType. Maximum decoded file size is 10 MiB. Requires agency-settings edit permission and returns the updated agency profile.

PUT/v1/agencies/{agencyId}/profile/logo

Replace the selected agency’s logo with base64 PNG or JPEG file bytes and the matching contentType. Maximum decoded file size is 10 MiB. Requires agency-settings edit permission and returns the updated agency profile.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/agencies/string/profile/logo" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "contentType": "image/png",    "base64": "string"  }'
{  "data": {    "id": "string",    "name": "string",    "slug": "string",    "imageUrl": "string"  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}